Bug 6557 - [review] Use same age limits in ruleqa as in sa-updates
Summary: [review] Use same age limits in ruleqa as in sa-updates
Status: RESOLVED FIXED
Alias: None
Product: Spamassassin
Classification: Unclassified
Component: RuleQA (show other bugs)
Version: SVN Trunk (Latest Devel Version)
Hardware: All All
: P2 normal
Target Milestone: 3.3.2
Assignee: SpamAssassin Developer Mailing List
URL:
Whiteboard: ready to commit
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-19 13:37 UTC by Darxus
Modified: 2011-05-05 19:15 UTC (History)
3 users (show)



Attachment Type Modified Status Actions Submitter/CLA Status
Patch patch None Darxus [HasCLA]

Note You need to log in before you can comment on or make changes to this bug.
Description Darxus 2011-03-19 13:37:41 UTC
Created attachment 4851 [details]
Patch

sa-update corpora age limits:

Ham: 72 months
Spam: 2 months

From: http://mail-archives.apache.org/mod_mbox/spamassassin-dev/201101.mbox/%3C4D41F44A.6030400@dostech.ca%3E

Currently used in ruleqa (reports-from-logs):
my $OLDEST_HAM_WEEKS    = 52 * 10;      # 10 years
my $OLDEST_SPAM_WEEKS    = 6 * 4;       # 6 months

Proposed change to get them to match:
my $OLDEST_HAM_WEEKS    = 72 * 4;       # 72 months = 6 years
my $OLDEST_SPAM_WEEKS    = 2 * 4;       # 2 months
Comment 1 Darxus 2011-05-02 18:15:29 UTC
Any reason this patch hasn't been applied to masses/rule-qa/reports-from-logs?
Comment 2 Mark Martinec 2011-05-04 18:38:48 UTC
> Any reason this patch hasn't been applied to masses/rule-qa/reports-from-logs?

Probably no particular reason.

Fine by me for consistency:  +1 for 3.3
Comment 3 Henrik Krohns 2011-05-05 17:46:09 UTC
+1 for 3.3
Comment 4 Kevin A. McGrail 2011-05-05 18:53:42 UTC
+1 KAM
Comment 5 Mark Martinec 2011-05-05 19:15:19 UTC
trunk:
$ svn ci -m 'Bug 6557: Use same age limits in ruleqa as in sa-updates'
  Sending masses/rule-qa/reports-from-logs
Committed revision 1099924.

branch 3.3:
$ svn ci -m 'Bug 6557: Use same age limits in ruleqa as in sa-updates'
  Sending rule-qa/reports-from-logs
Committed revision 1099925.